[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / Struct

# Interface: Struct

[types/app-spec](../modules/types_app_spec.md).Struct

A user-defined struct/tuple type

## Table of contents

### Properties

- [elements](types_app_spec.Struct.md#elements)
- [name](types_app_spec.Struct.md#name)

## Properties

### elements

• **elements**: [`StructElement`](../modules/types_app_spec.md#structelement)[]

The elements (in order) that make up the struct/tuple

#### Defined in

[src/types/app-spec.ts:213](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L213)

___

### name

• **name**: `string`

The name of the type

#### Defined in

[src/types/app-spec.ts:211](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L211)
